GET /me/calendar/events/{id}
Detalhe de event pessoal.
- Acesso: Login
- Serviço:
https://api-calendar.axuz.net
Autenticação aceita
sessionCookie— Sessão plena Axuz (cookie de sessão da casa). Sessão restrita é 403 enrollment_required.bearerSession— JWT de acesso da sessão em `Authorization: Bearer`.
Responde GET /me/calendar/events/{id} — personal-only.
Motivo/Comportamento: idem getEvent, teamID=uuid.Nil.
Entradas: JWT + id. Saídas: JSON. Efeitos: SELECT em events.
Parâmetros
| Nome | Em | Tipo | Obrigatório | Descrição |
|---|---|---|---|---|
id | path | string | sim |
Respostas
200
OK.
| Nome | Tipo | Obrigatório | Descrição |
|---|---|---|---|
id | string<uuid> | sim | |
calendar_id | string<uuid> | null | não | |
calendar_name | string | não | |
calendar_color | string | não | |
team_id | string<uuid> | null | não | |
summary | string | sim | |
description | string | null | não | |
location | string | null | não | |
dtstart | string<date-time> | sim | |
dtend | string<date-time> | sim | |
all_day | boolean | sim | |
rrule | string | null | não | RFC5545 RRULE (ex: FREQ=WEEKLY;BYDAY=MO,WE). |
tz | string | não | IANA timezone name (Region/City). '' = UTC. |
is_recurring_instance | boolean | não | True quando é ocorrência expandida (não master row). |
recurrence_id | string<date-time> | null | não | dtstart canônico da ocorrência dentro da série. |
parent_event_id | string<uuid> | null | não | Aponta pro master quando é override. |
is_overridden | boolean | não | |
created_by | string<uuid> | não | |
created_at | string<date-time> | não | |
updated_at | string<date-time> | não | |
meet_room_id | string<uuid> | não | Sala de vídeo vinculada ao evento (F-063). AUSENTE quando o evento não tem sala — o cliente testa presença da chave, não string vazia. Só é devolvido em |
meet_room_slug | string | não | Slug da mesma sala. É a chave da entrada de CONVIDADO ( |
reminders | array<CalendarEventReminder> | não | Lembretes do evento (R-007). Devolvido em |
reminders[].id | string<uuid> | sim | |
reminders[].trigger_offset_minutes | integer | sim | |
reminders[].kind | string | sim | enum: |
reminders[].fired_at | string<date-time> | não | AUSENTE enquanto pendente; presente quando terminal. |
401
Faltando ou token inválido.
| Nome | Tipo | Obrigatório | Descrição |
|---|---|---|---|
error | string | sim | Mensagem humana curta; sem stack. |
404
Recurso não encontrado.
| Nome | Tipo | Obrigatório | Descrição |
|---|---|---|---|
error | string | sim | Mensagem humana curta; sem stack. |
429
Limite de requisições excedido.
| Nome | Tipo | Obrigatório | Descrição |
|---|---|---|---|
error | string | sim |
500
Erro interno. Tente de novo com backoff; reporte o X-Request-Id.
| Nome | Tipo | Obrigatório | Descrição |
|---|---|---|---|
error | string | sim |
Exemplos
O "Try it" está desligado nesta referência. Use os exemplos com a sua credencial de teste.
curl
curl -sS -X GET 'https://api-calendar.axuz.net/me/calendar/events/ID' \
-H "Authorization: Bearer $AXUZ_TOKEN"Node.js
const res = await fetch("https://api-calendar.axuz.net/me/calendar/events/ID", {
method: 'GET',
headers: {
Authorization: `Bearer ${process.env.AXUZ_TOKEN}`,
},
});
if (!res.ok) throw new Error(`HTTP ${res.status}: ${await res.text()}`);
console.log(await res.json());Python
import os
import requests
res = requests.request(
"GET",
"https://api-calendar.axuz.net/me/calendar/events/ID",
headers={
"Authorization": f"Bearer {os.environ['AXUZ_TOKEN']}",
},
timeout=30,
)
res.raise_for_status()
print(res.json())